from StarCC import PresetConversion

input_file = open("headwords.txt", "r", encoding="utf_16_le")

output_file = open("LINKs.txt", "w", encoding="utf_16_le")

convert_tw_sc = PresetConversion(src='tw', dst='cn', with_phrase=True)

output = []

for line in input_file.readlines():
    line = line.strip()
    headword_sc = convert_tw_sc(line)
    if headword_sc != line:
        output.append(f'{headword_sc}\n@@@LINK={line}\n</>\n')


input_file.close()

output_file.writelines(output)

output_file.close()

